-- File:Omega_CA_02_08_01_Eval_Policy.sql
-- Author:DATAPLUS
-- Name:Omega Core Audit Evaluation Policies 01.01.01
-- Doc. Reference: Omega Core Audit Deployment Guide
-- Warranty: This script is provided as it its, without warranty of any kind.
-- -------------------------------------------------------------------------
-- Notes:
-- 1. Do not change or modify this script without contacting support.
-- 2. Run only with SYS/SYSDBA or DBA privileges!
-- -------------------------------------------------------------------------

 
SPOOL Omega_CA_02_08_01_Eval_Policy.log
   
SET SQLBLANKLINES ON
SET SERVEROUTPUT ON
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK 


-- Omega Core Audit - Evaluation Policies Install INSTALL
prompt Omega Core Audit - Evaluation Policies INSTALL
prompt ==================================================
prompt


-- 01. Omega CA Evaluation Policies - EVL Access Control Policies
prompt 01. Omega CA Evaluation Policies - EVL Access Control Policies
prompt ==============================================================
prompt


insert into OMEGACA.acc_pol 
(policy_id, policy_name, policy_desc, status_id, rule_eval, audit_option, debug_log, user_apply, use_cache) 
values 
(OMEGACA.seq_acc_pol.nextval, 'EVL Application Access', 'EVL Application Access', 0, 1, 2, 0, 1, 1);
   
insert into OMEGACA.acc_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval)  
values 
(OMEGACA.seq_acc_pol_rule.nextval, OMEGACA.seq_acc_pol.currval, 'App Owner Access', 'App Owner Access', 0, 2);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 20, 1, 'OMEGACATESTAPP01', -1, 0);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 10, 1, '<DOMAIN\HOST>', -1, 0);

insert into OMEGACA.acc_pol_user
(policy_id, user_id, user_apply)
values
(OMEGACA.seq_acc_pol.currval, 'OMEGACATESTAPP01', 1);


insert into OMEGACA.acc_pol 
(policy_id, policy_name, policy_desc, status_id, rule_eval, audit_option, debug_log, user_apply, use_cache) 
values 
(OMEGACA.seq_acc_pol.nextval, 'EVL Developer Access', 'EVL Developer Access', 0, 1, 2, 0, 1, 1);

insert into OMEGACA.acc_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval)  
values 
(OMEGACA.seq_acc_pol_rule.nextval, OMEGACA.seq_acc_pol.currval, 'Developer 01 Access', 'Developer 01 Access', 0, 2);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 20, 1, 'OMEGACATESTDEV01', -1, 0);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 10, 1, '<DOMAIN\HOST>', -1, 0);

insert into OMEGACA.acc_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval)  
values 
(OMEGACA.seq_acc_pol_rule.nextval, OMEGACA.seq_acc_pol.currval, 'Developer 02 Access', 'Developer 02 Access', 0, 2);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 20, 1, 'OMEGACATESTDEV02', -1, 0);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 10, 1, '<DOMAIN\HOST>', -1, 0);

insert into OMEGACA.acc_pol_user
(policy_id, user_id, user_apply)
values
(OMEGACA.seq_acc_pol.currval, 'OMEGACATESTDEV01', 1);

insert into OMEGACA.acc_pol_user
(policy_id, user_id, user_apply)
values
(OMEGACA.seq_acc_pol.currval, 'OMEGACATESTDEV02', 1);


insert into OMEGACA.acc_pol 
(policy_id, policy_name, policy_desc, status_id, rule_eval, audit_option, debug_log, user_apply, use_cache) 
values 
(OMEGACA.seq_acc_pol.nextval, 'EVL DBA Access', 'EVL DBA Access', 0, 1, 2, 0, 1, 1);

insert into OMEGACA.acc_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval)  
values 
(OMEGACA.seq_acc_pol_rule.nextval, OMEGACA.seq_acc_pol.currval, 'DBA Access', 'DBA Access', 0, 2);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 20, 1, 'OMEGACATESTDBA01', -1, 0);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 10, 1, '<DOMAIN\HOST>', -1, 0);

insert into OMEGACA.acc_pol_user
(policy_id, user_id, user_apply)
values
(OMEGACA.seq_acc_pol.currval, 'OMEGACATESTDBA01', 1);


insert into OMEGACA.acc_pol 
(policy_id, policy_name, policy_desc, status_id, rule_eval, audit_option, debug_log, user_apply, use_cache) 
values 
(OMEGACA.seq_acc_pol.nextval, 'EVL Oracle Internals', 'EVL Oracle Internals', 0, 1, 2, 0, 1, 1);

insert into OMEGACA.acc_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval)  
values 
(OMEGACA.seq_acc_pol_rule.nextval, OMEGACA.seq_acc_pol.currval, 'Oracle Connections', 'Oracle Connections', 0, 2);

insert into OMEGACA.acc_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_acc_pol_cond.nextval, OMEGACA.seq_acc_pol_rule.currval, 1, 10, 1, '<DB-SRV>', -1, 0);

insert into OMEGACA.acc_pol_user
(policy_id, user_id, user_apply)
values
(OMEGACA.seq_acc_pol.currval, 'SYS', 1);
insert into OMEGACA.acc_pol_user
(policy_id, user_id, user_apply)
values
(OMEGACA.seq_acc_pol.currval, 'SYSMAN', 1);
insert into OMEGACA.acc_pol_user
(policy_id, user_id, user_apply)
values
(OMEGACA.seq_acc_pol.currval, 'DBSNMP', 1);



-- 02. Omega CA Evaluation Policies - EVL Standard Audit Policies
prompt 02. Omega CA Evaluation Policies - EVL Standard Audit Policies
prompt ==============================================================
prompt


insert into OMEGACA.aud_pol 
(policy_id, policy_name, policy_desc, status_id, use_cache, type_id, debug_log) 
values 
(OMEGACA.seq_aud_pol.nextval, 'EVL Developer Audit', 'EVL Developer Audit', 0, 1, 2, 0);
   
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'INSERT TABLE', 'OMEGACATESTDEV01', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'SELECT TABLE', 'OMEGACATESTDEV01', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'UPDATE TABLE', 'OMEGACATESTDEV01', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'DELETE TABLE', 'OMEGACATESTDEV01', 1);

insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'INSERT TABLE', 'OMEGACATESTDEV02', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'SELECT TABLE', 'OMEGACATESTDEV02', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'UPDATE TABLE', 'OMEGACATESTDEV02', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'DELETE TABLE', 'OMEGACATESTDEV02', 1);


insert into OMEGACA.aud_pol 
(policy_id, policy_name, policy_desc, status_id, use_cache, type_id, debug_log) 
values 
(OMEGACA.seq_aud_pol.nextval, 'EVL App Obj Audit', 'EVL App Obj Audit', 0, 1, 1, 0);

insert into OMEGACA.aud_pol_obj 
(aud_obj_id, policy_id, status_id, SQL_OPERATION, OBJECT_OWNER, OBJECT_TYPE, OBJECT_NAME, success_failure)  
values 
(OMEGACA.seq_aud_pol_obj.nextval, OMEGACA.seq_aud_pol.currval, 0, 'DELETE', 'OMEGACATESTAPP01', 'TABLE', 'EMP', 1);
insert into OMEGACA.aud_pol_obj 
(aud_obj_id, policy_id, status_id, SQL_OPERATION, OBJECT_OWNER, OBJECT_TYPE, OBJECT_NAME, success_failure)  
values 
(OMEGACA.seq_aud_pol_obj.nextval, OMEGACA.seq_aud_pol.currval, 0, 'UPDATE', 'OMEGACATESTAPP01', 'TABLE', 'EMP', 1);


insert into OMEGACA.aud_pol 
(policy_id, policy_name, policy_desc, status_id, use_cache, type_id, debug_log) 
values 
(OMEGACA.seq_aud_pol.nextval, 'EVL DBA Audit', 'EVL DBA Audit', 0, 1, 2, 0);
   
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'INSERT ANY TABLE', 'OMEGACATESTDBA01', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'DELETE ANY TABLE', 'OMEGACATESTDBA01', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'UPDATE ANY TABLE', 'OMEGACATESTDBA01', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'SYSTEM GRANT', 'OMEGACATESTDBA01', 1);
insert into OMEGACA.aud_pol_stmt 
(aud_stmt_id, policy_id, status_id, audit_option, audit_by_user, success_failure)  
values 
(OMEGACA.seq_aud_pol_stmt.nextval, OMEGACA.seq_aud_pol.currval, 0, 'GRANT ANY OBJECT PRIVILEGE', 'OMEGACATESTDBA01', 1);



-- 03. Omega CA Evaluation Policies - EVL Real-Time Protection DDL Policies
prompt 03. Omega CA Evaluation Policies - EVL Real-Time Protection DDL Policies
prompt ========================================================================
prompt


insert into OMEGACA.rtp_ddl_pol 
(policy_id, policy_name, policy_desc, status_id, rule_eval, audit_option, debug_log, user_apply, use_cache, silent_deny, log_ddl_body, log_cmd ) 
values 
(OMEGACA.seq_rtp_ddl_pol.nextval, 'EVL Application DDls', 'EVL Application DDls', 0, 1, 2, 0, 0, 1, 1, 1, 1);

insert into OMEGACA.rtp_ddl_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval)  
values 
(OMEGACA.seq_rtp_ddl_pol_rule.nextval, OMEGACA.seq_rtp_ddl_pol.currval, 'Developer 01 DDL', 'Developer 01 DDL', 0, 2);

insert into OMEGACA.rtp_ddl_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_rtp_ddl_pol_cond.nextval, OMEGACA.seq_rtp_ddl_pol_rule.currval, 1, 20, 1, 'OMEGACATESTDEV01', -1, 0);

insert into OMEGACA.rtp_ddl_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_rtp_ddl_pol_cond.nextval, OMEGACA.seq_rtp_ddl_pol_rule.currval, 1, 10, 1, '<DOMAIN\HOST>', -1, 0);

insert into OMEGACA.rtp_ddl_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval)  
values 
(OMEGACA.seq_rtp_ddl_pol_rule.nextval, OMEGACA.seq_rtp_ddl_pol.currval, 'Developer 02 DDL', 'Developer 02 DDL', 0, 2);

insert into OMEGACA.rtp_ddl_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_rtp_ddl_pol_cond.nextval, OMEGACA.seq_rtp_ddl_pol_rule.currval, 1, 20, 1, 'OMEGACATESTDEV02', -1, 0);

insert into OMEGACA.rtp_ddl_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_rtp_ddl_pol_cond.nextval, OMEGACA.seq_rtp_ddl_pol_rule.currval, 1, 10, 1, '<DOMAIN\HOST>', -1, 0);

insert into OMEGACA.rtp_ddl_pol_area
(policy_id, area_factor, opr_code, operand)
values
(OMEGACA.seq_rtp_ddl_pol.currval, 'OBJ_OWNER', '=', 'OMEGACATESTAPP01');


insert into OMEGACA.rtp_ddl_pol 
(policy_id, policy_name, policy_desc, status_id, rule_eval, audit_option, debug_log, user_apply, use_cache, silent_deny, log_ddl_body, log_cmd ) 
values 
(OMEGACA.seq_rtp_ddl_pol.nextval, 'EVL Security Privileges', 'EVL Security Privileges', 0, 1, 2, 0, 0, 1, 1, 0, 1);

insert into OMEGACA.rtp_ddl_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval)  
values 
(OMEGACA.seq_rtp_ddl_pol_rule.nextval, OMEGACA.seq_rtp_ddl_pol.currval, 'DBA Security', 'DBA Security', 0, 2);

insert into OMEGACA.rtp_ddl_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_rtp_ddl_pol_cond.nextval, OMEGACA.seq_rtp_ddl_pol_rule.currval, 1, 20, 1, 'OMEGACATESTDBA01', -1, 0);

insert into OMEGACA.rtp_ddl_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_rtp_ddl_pol_cond.nextval, OMEGACA.seq_rtp_ddl_pol_rule.currval, 1, 10, 1, '<DOMAIN\HOST>', -1, 0);

insert into OMEGACA.rtp_ddl_pol_area
(policy_id, area_factor, opr_code, operand)
values
(OMEGACA.seq_rtp_ddl_pol.currval, 'DDL_EVENT', 'IN', 'GRANT#REVOKE');



-- 04. Omega CA Evaluation Policies - EVL Real-Time Protection DML Policies
prompt 04. Omega CA Evaluation Policies - EVL Real-Time Protection DML Policies
prompt ========================================================================
prompt


insert into OMEGACA.rtp_dml_pol 
(policy_id, policy_name, policy_desc, status_id, debug_log, user_apply, use_cache) 
values 
(OMEGACA.seq_rtp_dml_pol.nextval, 'EVL Application DMLs', 'EVL Application DMLs', 0, 0, 0, 1);

insert into OMEGACA.rtp_dml_pol_rule 
(rule_id, policy_id, rule_name, rule_desc, status_id, cond_eval, obj_owner, obj_name, fga_policy_name, audit_condition_type, silent_deny)  
values 
(OMEGACA.seq_rtp_dml_pol_rule.nextval, OMEGACA.seq_rtp_dml_pol.currval, 'EMP Data', 'EMP Data', 0, 0, 
'OMEGACATESTAPP01', 'EMP', 'RTP_DML_' || Lpad(to_char(OMEGACA.seq_rtp_dml_pol_rule.currval), 8, '0'), 3, 1 );

insert into OMEGACA.rtp_dml_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_rtp_dml_pol_cond.nextval, OMEGACA.seq_rtp_dml_pol_rule.currval, 1, 20, 2, 'OMEGACATESTAPP01', -1, 0);

insert into OMEGACA.rtp_dml_pol_cond 
(cond_id, rule_id, cond_eval, factor_id, opr_code_id, operand_1, min_trust_level_no, status_id)
values
(OMEGACA.seq_rtp_dml_pol_cond.nextval, OMEGACA.seq_rtp_dml_pol_rule.currval, 1, 10, 2, '<DOMAIN\HOST>', -1, 0);


prompt Commit
COMMIT;


-- Purge Recycle Bin
purge recyclebin;
   
SPOOL OFF