-- File:Omega_CA_02_08_01_Uninstall.sql
-- Author:DATAPLUS
-- Name:Omega Core Audit 02.08.01 Uninstall
-- Doc. Reference: Omega Core Audit User Guide, chapter Deployment
-- Warranty: This script is provided as it its, without warranty of any kind.
-- -------------------------------------------------------------------------
-- Notes:
-- 1. Do not change or modify this script without contacting support.
-- 2. Run only with SYS/SYSDBA privileges!
-- -------------------------------------------------------------------------
   
   
SPOOL Omega_CA_02_08_01_Uninstall.log
   
SET SQLBLANKLINES ON
   
   
-- Omega Core Audit - UNINSTALL

prompt Omega Core Audit - UNINSTALL
prompt ==================================================
prompt


-- 01. Omega CA - Current Schema to SYS
prompt 01. Omega CA - Current Schema to SYS
prompt ==================================================
prompt

alter session set current_schema = SYS;


-- 02. Omega CA - Engine Uninstall

prompt
prompt 02. Omega CA - Engine Uninstall
prompt ====================================================
prompt

-- 02.01. Omega CA - Disable Engine Triggers

prompt
prompt 02.01. Omega CA - Disable Engine Triggers
prompt ==================================================
prompt

alter trigger OMEGACA_ACC_DB_AF_LOGON disable;
alter trigger OMEGACA_RTP_DB_BF_DDL disable;

-- 02.02. Omega CA - Disable DB Trails Purge Job

prompt
prompt 02.02. Omega CA - Disable DB Trails Purge Job
prompt ==================================================
prompt

begin
     dbms_scheduler.disable(
     name => 'OMEGACA_TRANS',
     force => TRUE	
     );
end;
/

-- 02.03. Omega CA - Drop Engine Triggers

prompt
prompt 02.03. Omega CA - Drop Engine Triggers
prompt ==================================================
prompt

drop trigger OMEGACA_ACC_DB_AF_LOGON;
drop trigger OMEGACA_RTP_DB_BF_DDL;

-- 02.04. Omega CA - Drop Engine Package

prompt
prompt 02.04. Omega CA - Drop Engine Package
prompt ==================================================
prompt

drop package OMEGA_CORE_AUDIT;

-- 02.05. Omega CA - Drop DB Trails Purge Job

prompt
prompt 02.05. Omega CA - Drop DB Trails Purge Job
prompt ==================================================
prompt

begin
     dbms_scheduler.drop_job(
     job_name => 'OMEGACA_TRANS',
     force => TRUE	
     );
end;
/


-- 03. Omega CA - Repository Uninstall

prompt
prompt 03. Omega CA - Repository Uninstall
prompt ====================================================
prompt

-- 03.01. Omega CA - Drop Roles

prompt
prompt 03.01. Omega CA - Drop Roles
prompt ==================================================
prompt

drop role OMEGACA_ACCTMGR;
drop role OMEGACA_ADMIN;
drop role OMEGACA_AUDIT;
drop role OMEGACA_SECANALYST;

-- 03.02. Omega CA - Drop Schema Repository

prompt
prompt 03.02. Omega CA - Drop Schema Repository
prompt ==================================================
prompt

drop user OMEGACA cascade;

-- 03.03. Omega CA - Drop Admin User

prompt
prompt 03.03. Omega CA - Drop Admin User
prompt ==================================================
prompt

drop user OMEGACAADM;

   
-- Purge Recycle Bin
purge recyclebin;
   
SPOOL OFF
